%define module_name Algorithm-Cluster
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(warnings/register.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.59
Release: alt4
Summary: Perl interface to the C Clustering Library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MD/MDEHOON/%{module_name}-%{version}.tar.gz
Patch33: Algorithm-Cluster-1.52-pic.patch

%description
This module is an interface to the C Clustering Library,
a general purpose library implementing functions for hierarchical 
clustering (pairwise simple, complete, average, and centroid linkage), 
along with k-means and k-medians clustering, and 2D self-organizing 
maps.  This library was developed at the Human Genome Center of the
University of Tokyo. The C Clustering Library is distributed along 
with Cluster 3.0, an enhanced version of the famous 
Cluster program originally written by Michael Eisen 
while at Stanford University.


%prep
%setup -q -n %{module_name}-%{version}
%patch33 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README doc
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.59-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.59-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.59-alt2
- rebuild with perl 5.30

* Sat Aug 31 2019 Igor Vlasenko <viy@altlinux.ru> 1.59-alt1
- updated by package builder

* Sat Apr 27 2019 Igor Vlasenko <viy@altlinux.ru> 1.58-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.57-alt1.1
- rebuild with perl 5.28.1

* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.57-alt1
- regenerated from template by package builder

* Sun Apr 29 2018 Igor Vlasenko <viy@altlinux.ru> 1.56-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.53-alt2
- rebuild with perl 5.26

* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.53-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.52-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.52-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.52-alt2
- rebuild to get rid of unmets

* Tue Sep 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.52-alt1
- initial import by package builder

